#include <bits/stdc++.h>
using namespace std;
int sum(int w, int h){
	if(w*h==1) return 1;
	else{
		if(h%2 == 0) return (sum(w, h/2) + sum(w, h/2) +w*h);
		else if(w%2 == 0) return (sum(w/2, h) + sum(w/2, h) +w*h);
		else{
			if(w>1) return (sum(w/2+1, h) + sum(w/2, h) +w*h);
			else return (sum(h/2+1, w) + sum(h/2, w) +w*h);
		}
		
	}
	
}


int main(){
	int w, h;
	cin>>w>>h;
	cout<<sum(w, h);
	
}

